PHP Manual
Prev |  | Next

# imap_listscan

(no version information, might be only in CVS)

imap_listscan -- Returns the list of mailboxes that matches the given text

## Description

array imap_listscan ( resource imap_stream, string ref, string pattern, string content )

Returns an array containing the names of the mailboxes that have `content` in the text of the mailbox.

This function is similar to imap_listmailbox(), but it will additionally check for the presence of the string `content` inside the mailbox data.

## Parameters

`imap_stream`

  An IMAP stream returned by imap_open().

`ref`

  `ref` should normally be just the server specification as described in imap_open()

`pattern`

  Specifies where in the mailbox hierarchy to start searching.

  There are two special characters you can pass as part of the `pattern`: '*' and '%'. '*' means to return all mailboxes. If you pass `pattern` as '*', you will get a list of the entire mailbox hierarchy. '%' means to return the current level only. '%' as the `pattern` parameter will return only the top level mailboxes; '~/mail/%' on UW_IMAPD will return every mailbox in the ~/mail directory, but none in subfolders of that directory

`content`

  The searched string

## Return Values

Returns an array containing the names of the mailboxes that have `content` in the text of the mailbox.

## See Also

imap_listmailbox()
imap_search()

Prev | Home | Next
imap_listmailbox | Up | imap_listsubscribed